# Maintainer: Philip Müller <philm[at]manjaro[dot]org>
# Maintainer: Bernhard Landauer <bernhard[at]manjaro[dot]org>
# Contributor: Helmut Stult

pkgbase=boxit
pkgname=(boxit boxit-server)
pkgver=2.1.3
pkgrel=12
pkgdesc="Manjaro Linux repository management system"
arch=('x86_64')
url="https://gitlab.manjaro.org/tools/maintenance-tools/boxit"
license=('GPL')
depends=('qt5-base' 'readline<8.1.003' 'icu<71.2')
makedepends=('git')
_git=Yes

if [ "$_git" == "Yes" ]; then
    source=(git+https://gitlab.manjaro.org/tools/maintenance-tools/boxit.git) #branch=development)
md5sums=('SKIP')
else
    source=("https://gitlab.manjaro.org/tools/maintenance-tools/boxit/-/archive/$pkgver/boxit-$pkgver.tar.gz")
fi

build() {
  msg "build $pkgbase"
  if [ "$_git" == "Yes" ]; then
    cd "$srcdir/$pkgbase/$pkgbase/src"
  else
    cd "$srcdir/$pkgbase-$pkgver/$pkgbase/src"
  fi

  qmake-qt5

  # Build fix
  make sub-DBus
  cp DBus/libDBus.a libDBus.a

  make all

  msg "build $pkgbase-server"
  if [ "$_git" == "Yes" ]; then
    cd "$srcdir/$pkgbase/$pkgbase-server/src"
  else
    cd "$srcdir/$pkgbase-$pkgver/$pkgbase-server/src"
  fi

  qmake-qt5

  make all
}

package_boxit() {
  pkgdesc+=" -client"

  if [ "$_git" == "Yes" ]; then
    cd "$srcdir/$pkgbase/$pkgname/src"
  else
    cd "$srcdir/$pkgbase-$pkgver/$pkgname/src"
  fi
  make INSTALL_ROOT="${pkgdir}" install
}

package_boxit-server() {
   pkgdesc+=" -server"

  if [ "$_git" == "Yes" ]; then
    cd "$srcdir/$pkgbase/$pkgbase-server/src"
  else
    cd "$srcdir/$pkgbase-$pkgver/$pkgbase-server/src"
  fi
  # TODO - convert to systemd-scripts
  #mkdir -p ${pkgdir}/etc/init.d
  #mkdir -p ${pkgdir}/usr/bin
  #mkdir -p ${pkgdir}/etc/boxit
  make INSTALL_ROOT="${pkgdir}" install
}
